curl --request POST \
--url https://mycluster.domino.tech/api/extensions/beta/official-installs/{id}/cancel \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/extensions/beta/official-installs/{id}/cancel"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/extensions/beta/official-installs/{id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"availableVersions": [
{
"extensionVersion": "<string>",
"isCompatible": true,
"manifestSchemaVersion": 123,
"minDominoVersion": "<string>",
"releaseTag": "<string>",
"additionalInstallationInstructions": "<string>",
"description": "<string>",
"isProvisional": true,
"maxDominoVersion": "<string>",
"releaseLink": "<string>",
"testedWithDominoVersions": [
"<string>"
]
}
],
"remoteRepo": "<string>",
"versionsFetchFailed": true,
"currentInstall": {
"extensionInstallId": "<string>",
"extensionReleaseTag": "<string>",
"extensionVersion": "<string>",
"id": "<string>",
"isComplete": true,
"manifestSchemaVersion": 123,
"startedAt": "2023-11-07T05:31:56Z",
"startedBy": {
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"userName": "<string>"
},
"steps": [
{
"logs": [
{
"message": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
],
"transitions": [
{
"changedAt": "2023-11-07T05:31:56Z",
"error": "<string>",
"statusString": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z"
}
],
"cancelRequested": true,
"completedAt": "2023-11-07T05:31:56Z",
"managedDominoEntitiesV1": {
"manifestSchemaVersion": 123,
"appId": "<string>",
"appVersionId": "<string>",
"environmentId": "<string>",
"environmentRevisionId": "<string>",
"extensionId": "<string>",
"projectId": "<string>"
},
"manifestV1": {
"app": {
"appDescription": "<string>",
"appName": "<string>",
"appVersionDescription": "<string>",
"computeEnvironment": {
"customEnvironment": {
"baseImage": "<string>",
"dockerfilePath": "<string>",
"autoCompatibleWithDomino": true,
"buildArgs": {},
"name": "<string>"
}
},
"entryPoint": "<string>",
"vanityUrl": "<string>",
"autoscalingSpec": {
"enabled": true,
"maxReplicas": 123,
"minReplicas": 123,
"scaleDownStabilizationWindowSeconds": 123,
"scaleUpStabilizationWindowSeconds": 123,
"targetCpuAvgUtilizationPct": 123,
"targetMemoryAvgUtilizationPct": 123,
"useSessionAffinity": true
},
"discoverable": true,
"enableDeepLinking": true,
"externalVolumeMounts": [
"<string>"
],
"hardwareTierIdSuggestion": "<string>",
"mountDatasets": true
},
"extension": {
"description": "<string>",
"enabled": true,
"name": "<string>",
"uiMountPointTypeConfigs": {
"adminPanel": {
"enabled": true,
"urlConfig": {
"contextualQueryParams": [
"<string>"
],
"route": "<string>"
}
},
"dataset": {
"enabled": true,
"urlConfig": {
"contextualQueryParams": [
"<string>"
],
"route": "<string>"
}
},
"datasetFileContext": {
"enabled": true,
"allProjects": true,
"fileTypes": [
"<string>"
],
"urlConfig": {
"contextualQueryParams": [
"<string>"
],
"route": "<string>"
}
},
"modelDetails": {
"enabled": true,
"urlConfig": {
"contextualQueryParams": [
"<string>"
],
"route": "<string>"
}
},
"netAppVolume": {
"enabled": true,
"urlConfig": {
"contextualQueryParams": [
"<string>"
],
"route": "<string>"
}
},
"netAppVolumeFileContext": {
"enabled": true,
"allProjects": true,
"fileTypes": [
"<string>"
],
"urlConfig": {
"contextualQueryParams": [
"<string>"
],
"route": "<string>"
}
},
"projectSidebar": {
"enabled": true,
"allProjects": true,
"urlConfig": {
"contextualQueryParams": [
"<string>"
],
"route": "<string>"
}
},
"topBar": {
"enabled": true,
"urlConfig": {
"contextualQueryParams": [
"<string>"
],
"route": "<string>"
}
}
}
},
"manifestSchemaVersion": 123,
"project": {
"description": "<string>",
"name": "<string>"
}
},
"uninstallAttempts": 123,
"uninstallRequested": true,
"upgradedFromSnapshotId": "<string>"
},
"description": "<string>",
"id": "<string>",
"incompleteInstall": {
"extensionInstallId": "<string>",
"extensionReleaseTag": "<string>",
"extensionVersion": "<string>",
"id": "<string>",
"isComplete": true,
"manifestSchemaVersion": 123,
"startedAt": "2023-11-07T05:31:56Z",
"startedBy": {
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"userName": "<string>"
},
"steps": [
{
"logs": [
{
"message": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
],
"transitions": [
{
"changedAt": "2023-11-07T05:31:56Z",
"error": "<string>",
"statusString": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z"
}
],
"cancelRequested": true,
"completedAt": "2023-11-07T05:31:56Z",
"managedDominoEntitiesV1": {
"manifestSchemaVersion": 123,
"appId": "<string>",
"appVersionId": "<string>",
"environmentId": "<string>",
"environmentRevisionId": "<string>",
"extensionId": "<string>",
"projectId": "<string>"
},
"manifestV1": {
"app": {
"appDescription": "<string>",
"appName": "<string>",
"appVersionDescription": "<string>",
"computeEnvironment": {
"customEnvironment": {
"baseImage": "<string>",
"dockerfilePath": "<string>",
"autoCompatibleWithDomino": true,
"buildArgs": {},
"name": "<string>"
}
},
"entryPoint": "<string>",
"vanityUrl": "<string>",
"autoscalingSpec": {
"enabled": true,
"maxReplicas": 123,
"minReplicas": 123,
"scaleDownStabilizationWindowSeconds": 123,
"scaleUpStabilizationWindowSeconds": 123,
"targetCpuAvgUtilizationPct": 123,
"targetMemoryAvgUtilizationPct": 123,
"useSessionAffinity": true
},
"discoverable": true,
"enableDeepLinking": true,
"externalVolumeMounts": [
"<string>"
],
"hardwareTierIdSuggestion": "<string>",
"mountDatasets": true
},
"extension": {
"description": "<string>",
"enabled": true,
"name": "<string>",
"uiMountPointTypeConfigs": {
"adminPanel": {
"enabled": true,
"urlConfig": {
"contextualQueryParams": [
"<string>"
],
"route": "<string>"
}
},
"dataset": {
"enabled": true,
"urlConfig": {
"contextualQueryParams": [
"<string>"
],
"route": "<string>"
}
},
"datasetFileContext": {
"enabled": true,
"allProjects": true,
"fileTypes": [
"<string>"
],
"urlConfig": {
"contextualQueryParams": [
"<string>"
],
"route": "<string>"
}
},
"modelDetails": {
"enabled": true,
"urlConfig": {
"contextualQueryParams": [
"<string>"
],
"route": "<string>"
}
},
"netAppVolume": {
"enabled": true,
"urlConfig": {
"contextualQueryParams": [
"<string>"
],
"route": "<string>"
}
},
"netAppVolumeFileContext": {
"enabled": true,
"allProjects": true,
"fileTypes": [
"<string>"
],
"urlConfig": {
"contextualQueryParams": [
"<string>"
],
"route": "<string>"
}
},
"projectSidebar": {
"enabled": true,
"allProjects": true,
"urlConfig": {
"contextualQueryParams": [
"<string>"
],
"route": "<string>"
}
},
"topBar": {
"enabled": true,
"urlConfig": {
"contextualQueryParams": [
"<string>"
],
"route": "<string>"
}
}
}
},
"manifestSchemaVersion": 123,
"project": {
"description": "<string>",
"name": "<string>"
}
},
"uninstallAttempts": 123,
"uninstallRequested": true,
"upgradedFromSnapshotId": "<string>"
},
"installDisplayName": "<string>",
"versionsFetchFailedReason": "<string>"
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}Cancel a Domino Official Extension install or upgrade
Cancels an in-progress install or upgrade. This is a destructive operation. The installer will stop at the earliest opportunity, revert any changes made to managed resources during this operation, and clean up the incomplete snapshot. The snapshot is deleted after revert. For an upgrade, if the previously installed app version was running when the upgrade started, that app version is restarted. If the installer completes the operation before processing the cancel request, the install will appear as completed.
Authorizations
Path Parameters
The id of the OfficialExtensionInstall record.
Response
Success
Versions from the repo's extension_versions.json with compatibility metadata.
Show child attributes
Show child attributes
The URL of the GitHub repository for this official extension.
True if fetching extension_versions.json from the remote repo failed.
The last successfully completed install or upgrade. Null if no install has completed.
Show child attributes
Show child attributes
The GitHub repository description.
The id of the OfficialExtensionInstall record. Null if this extension has not been installed yet.
The currently in-progress or failed install/upgrade. Null if none.
Show child attributes
Show child attributes
Display name for the install card, from extension_versions.json.
Why the fetch failed. Only set when versionsFetchFailed is true.
Related topics
Initiate a Domino Official Extension install or upgradeRetry a Domino Official Extension install or upgradeList Domino Official Extension install optionsGet a Domino Official Extension install by idWas this page helpful?